# $Revision: 1.42 $, $Date: 2004/09/27 16:22:12 $
Summary:	An X Window System based window manager
Summary(es):	Administrador de Ventanas: Feeble (Fine?) Virtual Window Manager
Summary(de):	Feeble (Fine?) Virtual Window Manager
Summary(fr):	Feeble (Fine ?) Virtual Window Manager
Summary(pl):	Zarzdca okien dla X Window System
Summary(pt):	Gerenciador de Janelas: Feeble (Fine?) Virtual Window Manager
Summary(tr):	X11 iin pencere denetleyicisi
Name:		fvwm
Version:	1.24r
Release:	28
License:	GPL
Group:		X11/Window Managers
Source0:	ftp://sunsite.unc.edu/pub/Linux/X11/window-managers/%{name}-%{version}.tar.gz
# Source0-md5:	875733e77e285566197f4b50746aefc6
Source1:	%{name}-system.%{name}rc
Source2:	%{name}.desktop
Source3:	%{name}.RunWM
Source5:	%{name}-xsession.desktop
Patch0:		%{name}-fsstnd.patch
Patch1:		%{name}-imake.patch
Patch2:		%{name}-security.patch
Patch3:		%{name}-%{name}man.patch
Patch4:		%{name}-enable-m4.patch
Patch5:		%{name}-maxpopups.patch
Patch6:		%{name}-man.patch
Requires(post):	vfmg >= 0.9.18-3
Requires:	fvwm2-icons
Requires:	m4
Requires:	vfmg >= 0.9.18-3
Requires:	xinitrc-ng
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/wm-properties
%define		_sysconfdir	/etc/X11/fvwm

%description
FVWM (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is a window manager for the X Window System.
FVWM was derived from the twm window manager. FVWM is designed to
minimize memory consumption, to provide window frames with a 3D look,
and to provide a simple virtual desktop. FVWM can be configured to
look like Motif.

%description -l es
fvwm es un administrador de ventanas pequeo, rpido y muy flexible.
Puede ser configurado para parecer con Motif, y posee una til "barra
de botones".

%description -l pl
FVWM (za F mona sobie podstawi co kto woli, lecz VWM pochodzi od
pierwszych liter "Virtual Window Manager", czyli wirtualny zarzdca
okien) to zarzdca okien dla systemu X Window. FVWM pochodzi od twm.
Zaprojektowano go tak, by zminimalizowa wymagania pamiciowe,
udostpni ramki okien sprawiajce wraenie trjwymiarowych i proste
biurko wirtualne. Mona tez skonfigurowa FVWM tak, by mia wygld
podobny do Motifa.

%description -l pt
fvwm  um gerente de janelas pequeno, rpido e muito flexvel. Ele
pode ser configurado para parecer com Motif, e possui uma til "barra
de botes".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
PATH="$PATH:%{_bindir}"; export PATH
xmkmf
%{__make} Makefiles
%{__make} \
	BOOTSTRAPCFLAGS="%{rpmcflags}" \
	CCOPTIONS="%{rpmcflags}" \
	CXXOPTIONS="%{rpmcflags}" \
	CXXDEBUGFLAGS="" \
	CDEBUGFLAGS="" \
	LOCAL_LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/sysconfig/wmstyle} \
	$RPM_BUILD_ROOT{%{_datadir}/xsessions,%{_wmpropsdir}}

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_libdir}/fvwm1 \
	MANDIR=%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/system.fvwmrc
install %{SOURCE2} $RPM_BUILD_ROOT%{_wmpropsdir}

install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/%{name}.sh
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop

install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_libdir}/fvwm1/fvwm $RPM_BUILD_ROOT%{_bindir}/fvwm1

mv $RPM_BUILD_ROOT%{_mandir}/man1/fvwm{,1}.1x
touch $RPM_BUILD_ROOT%{_sysconfdir}/fvwm.menu

%clean
rm -rf $RPM_BUILD_ROOT

%post
# generate initial menu
[ -f /etc/sysconfig/vfmg ] && . /etc/sysconfig/vfmg
[ "$FVWM" = yes -o "$FVWM" = 1 -o ! -f /etc/X11/fvwm/fvwm.menu ] && \
	vfmg -f -x -c fvwm >/etc/X11/fvwm/fvwm.menu 2>/dev/null ||:

%files
%defattr(644,root,root,755)
%doc sample.fvwmrc/*
%dir %{_sysconfdir}
%config %{_sysconfdir}/system.fvwmrc
%ghost %{_sysconfdir}/fvwm.menu
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
%dir %{_libdir}/fvwm1
%attr(755,root,root) %{_libdir}/fvwm1/*
%attr(755,root,root) %{_bindir}/fvwm1
%{_datadir}/xsessions/%{name}.desktop
%{_wmpropsdir}/fvwm.desktop
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fvwm.spec,v $
Revision 1.42  2004/09/27 16:22:12  ankry
- fix quoting, rel. 28

Revision 1.41  2004/09/17 23:19:03  ankry
- %ghost should exist

Revision 1.40  2004/09/17 13:40:51  ankry
- %ghost menu file
- changed %%{_sysconfdir) macro (and fixed its usage)

Revision 1.39  2004/09/17 13:16:12  ankry
- vfmg suppert, rel. 27

Revision 1.38  2004/09/17 01:23:11  ankry
- renamed binary to fvwm1, kill X11R6 in prefix, rel. 26

Revision 1.37  2004/09/16 15:59:22  ankry
- merge -maxpopups patch from Ra

Revision 1.36  2004/08/07 19:29:51  havner
- rel 25 for R:xinitrc-ng

Revision 1.35  2004/07/09 19:49:13  havner
- removed wmstyle/fvwm.names, it's obsolete now

Revision 1.34  2004/07/09 18:25:50  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.33  2004/07/09 14:06:44  agaran
- fixed %install, now builds

Revision 1.32  2004/07/09 12:42:03  qboosh
- fixed xlibdir usage (files must not be packaged as /usr/lib/X11/*)

Revision 1.31  2004/07/09 12:32:27  agaran
- one typo fixed, %install still fails

Revision 1.30  2003/09/28 11:47:49  adgor
- Added desktop file for gdm/kdm support

Revision 1.29  2003/05/28 12:58:57  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:47:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/13 10:11:57  djrzulf
- revert changes, i don't see fvwm2.spec,

Revision 1.26  2003/05/13 10:02:16  djrzulf
- added TODO

Revision 1.25  2003/05/13 10:00:42  djrzulf
- updated to 2.4.15,

Revision 1.24  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.23  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.22  2002/11/25 01:40:44  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.21  2002/04/25 16:20:18  arturs
fixed a small typo

Revision 1.20  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/27 09:45:03  qboosh
- pl summary, removed bashism from %%build; release 24

Revision 1.16  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.15  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/09/27 13:31:33  kloczek
- spec adapterized, %%{debug} and new rpm rel. 12 ready.

Revision 1.12  2000/08/29 14:08:49  baggins
- release 23
- requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.11  2000/06/24 12:51:21  baggins
- release 22
- added pre/post menus for use with patched wmconfig
- requires wmconfig >= 0.9.8-3

Revision 1.10  2000/06/22 12:48:44  baggins
- release 21
- enabled m4 for fvwmrc parsing
- requires wmconfig and m4
- use wmconfig for building menus

Revision 1.9  2000/06/20 17:32:13  baggins
- release 20
- new system.fvwmrc
- added fvwm.desktop
- use RPM_OPT_FLAGS

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.2  1999/08/20 17:03:59  baggins
- misc fixes and cleanups

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 17)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- tagged config files correctly
- buildroot

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- fixed it for AnotherLevel (icon paths, etc)

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Fixed system.fvwmrc to point at /usr/X11R6/include/X11/bitmaps and pixmaps.
  Fvwm wasn't find icons otherwise, which is why they disappeared if someone
  upgraded from 4.0 to 4.1!
